# Gimp.heal

    @accepts(Gimp.Drawable, Gimp.Drawable, float, float, gsize, [float])
    @returns(bool)
    def heal(drawable, src_drawable, src_x, src_y, num_strokes, strokes):
        # Python wrapper for gimp_heal()

Heal from the source to the dest drawable using the current brush

This tool heals the source drawable starting at the specified source coordinates to the dest drawable. For image healing, if the sum of the src coordinates and subsequent stroke offsets exceeds the extents of the src drawable, then no paint is transferred. The healing tool is capable of transforming between any image types except RGB-&gt;Indexed.

Since 2.4

drawable

  The affected drawable.

src_drawable

  The source drawable.

src_x

  The x coordinate in the source image.

src_y

  The y coordinate in the source image.

num_strokes

  Number of stroke control points (count each coordinate as 2 points).

strokes

  Array of stroke coordinates: { s1.x, s1.y, s2.x, s2.y, ..., sn.x, sn.y }.

Returns